Package com.oracle.truffle.api.object

## Class IncompatibleLocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.oracle.truffle.api.nodes.SlowPathException
      - - com.oracle.truffle.api.object.IncompatibleLocationException

All Implemented Interfaces:
  `java.io.Serializable`

    public final class IncompatibleLocationException
    extends SlowPathException

See Also:
  Serialized Form

### Constructor Summary

Constructors
`IncompatibleLocationException()`

### Method Summary

### Methods inherited from class com.oracle.truffle.api.nodes.SlowPathException

`fillInStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IncompatibleLocationException

    public IncompatibleLocationException()